# サポート、対応

要望の依頼、問題の報告はモノワイヤレス株式会社の[技術問い合わせ窓口](https://mono-wireless.com/jp/contact/)にお願いいたします。ただし、当技術窓口は、別途サポート契約のあるお客さまに対して回答のお約束をしております。場合によってはご要望にお応え出来なかったり、ご返答できない場合もございます。予めご了承下さい。

以下にサポートサービスでの実施事項と対象外を記載します（2017/1-2版を元にしますが、サービス内容は予告なく変更されます）。サポートサービス契約がないお客さまにあっても、当サポートの原則としてご一読下さい。

### サポートサービス実施事項（参考）

TWELITE NETを用いたファームウェア作成方法（ツールの基本的な使用方法、基本的な送受信手続き、ペリフェラルAPIの使用方法、基本設計や考え方についての助言など）として基本的な送受信APIに基づく無線通信を行う方法について解説を行います。ただし、以下の内容または方法での案内はいたしません。

* 弊社が標準的に提供するTWELITE NET の手続きや弊社が案内するマニュアル類の記載を超える方法
  * IEEE802.15.4 MAC層または独自のMAC層は対応しません。
  * ZigBee PRO スタックライブラリは対応しません。
* TWELITE NET を用いたファームウェア開発方法についての、網羅的な解説を一度に実施すること
* TWELITE NET の内部情報や、規格書の定義に基づく解説
* お客様のアプリケーションを実現するために特有の手法やアルゴリズム周辺ハードウェア、筺体設計、アンテナ設置、無線を用いたシステム設計に関する助言

### サポートサービス対象外の内容（参考）

* パソコンの操作方法やオペレーティングシステム、弊社の商品以外の操作方法やデバイスドライバのインストール方法やそれらに関連した不具合解決。（各商品のメーカーにお問い合わせください。）
* ツールの使用法で、本モジュール向けのファームウェアのビルドに直接関係のない機能のお問い合わせ。（ツールの画面の色の変更方法など）
* ツールの使用法で、サポートでご案内する設定以外での使用。（特殊なディレクトリで使用したい、弊社未確認のパッチを適用するなど）
* 他のツールやインストール環境の影響でツールが正常動作しない場合の回避方法の提示やツールの修正。 （クリーンインストール環境での使用をご案内します）
* お客様が作成されたファームウェアを前提とした対応。（問題を切り出し一般化した上でのお問い合わせをお願いします。）
* デバッグ、開発行為、性能評価に相当する対応。（お客様作成コードの問題点の特定、お客様のハードウェアで使用される他社製品部品のデータシートの読みこなし、弊社が参考として例示したソースコードや資料をお客様が十分読みこなしされない状態でのご質問などは十分なお答えが出来ない場合がございます。）
* API、開発ツールなどの不備に対する修正。（報告された現象については可能な限りの回避策のご提案を行います。）
* マニュアル等に記載されない非公開情報の開示。
* ツールの使用が起因で発生した、パソコン等の故障・データ損失・その他損害に対する保障。
* 弊社営業日以外の対応。
* 担当者を指定した回答要求。
* オンサイト、出張を伴う対応。



