# uint32 u32TickCount\_ms

システムの始動時からの ms タイムスタンプです。

| タイムスタンプの更新は [TickTimer](../../hw-api-ref/peripherals/ticktimer.md) の周期（ハードウェア割り込みハンドラ内）で実施されます。例えば TickTimer の周期\[ms\]が 4ms の場合、タイムスタンプも 4 ずつカウントアップされます。 |
| --- | --- | --- | --- |
| 最大値カウント値を越えると 0 に戻ります。 |
| {過去タイムスタンプ} - {現在のタイムスタンプ} を計算すれば、過去からの経過時間（最大カウントを超えない範囲）が計算できます。 |
| スリープ復帰時のスタート値は不定です。スリープ前に保存した値を引用してスリープ後に処理を行わないようにしてください。 |



