# ToCoNet\_u32GetSerial\(\)

## 解説

モジュールシリアル番号を得る。このシリアル番号はモジュール個体の値で、通信相手を指定する目的でも使用されます。

{% hint style="info" %}
TWEモジュールに表示されている１６進のシリアル番号に0x80000000 を加えた値となります。
{% endhint %}

## 引数

なし

## 戻り値

| 型 | 詳細 |
| --- | --- |
| uint32 | 32bitのモジュールシリアル値。 |

## サンプル

```c
uint32 u32ser;
u32ser = ToCoNet_u32GetSerial();
```



