# TWELITE SDK マニュアル

TWELITE SDK は、モノワイヤレス株式会社が製造販売する TWELITE \(トワイライト\) 無線モジュールのファームウェアをビルドするための環境を提供します。

TWELITE SDK には以下が含まれます。

* コンパイルを行うためのツール群 \(gcc, make など\)
* TWELITE NET ライブラリ
  * マイコンなどの低水準ライブラリを含む
* TWELITE SDK マニュアル（本資料）

### 本資料について

TWELITE SDK や TWELITE NET ライブラリについて解説を行います。

原則として、本資料は他の媒体（PDF等の印刷できる形式など）での提供を行いません。オフラインファイルについては「[本資料のオフラインでの利用](overview/offline-docs.md)」を参照してください。

本ドキュメントは、不定期に更新されます。また、読みやすさなど利便性の向上のため章立てなどを予告なく変更する場合があります。

### 本資料の記載内容について

下記に関する用語については、文中では特に説明を行っていません。

* C言語によるマイコン開発について
* bash, make などコマンドラインの利用
* gcc ツールチェインの利用

### 本資料の表記について

* 本書中では、ディレクトリ（パス）区切りを / \(スラッシュ\) で統一します。Windows では \ \(バックスラッシュまたは円マーク\) ですが、読み替えて下さい。



