# ステート（状態）

## 組み込み状態

E\_STATE\_IDLE以外の状態名は、ユーザ定義イベント処理関数で自由に使うことができます。また、状態名をユーザ定義することも可能です。

| E\_STATE\_IDLE  | 初期状態。値は 0。 |
| --- | --- | --- |
| E\_STATE\_RUNNING | 実行中。 |
| E\_STATE\_FINISHED | 完了。 |

## ユーザ独自定義

ToCoNet\_EVENT\_APP\_BASE 定義以降の値を利用してください。

```c
#include "ToCoNet_event.h"

typedef enum
{
	E_STATE_APP_BASE = ToCoNet_STATE_APP_BASE,
	E_STATE_USER_INIT,
	E_STATE_USER_FINISH,
	E_STATE_USER_MEASURING
} teStateApp;
```

{% hint style="warning" %}
enum を 16bit や 8bit に小さくするコンパイルオプションは適用しないでください。
{% endhint %}

