# SPRINTFライブラリ

[fprintf ライブラリ](../hw-api-ref/peripherals/uart/fprintf-lib/)を利用した簡易的な sprintf の実装。内部バッファを確保して、そのバッファに１バイトずつ書き込む実装を行っている。

```c
#include <sprintf.h>

// 初期化
SPRINTF_vInit128(); // 128バイトの内部バッファの確保

// 内部バッファへの書き込み
SPRINTF_vRewind(); // 内部ポインタを先頭に巻き戻す
vfPrintf(SPRINTF_Stream, "HELLO %d", 1123);
vfPrintf(SPRINTF_Stream, ",GOODBYE", 1123);
uint16 u16len = SPRINTF_u16Length();

// 出力(NUL で終端されているので、文字列として扱える)
vfPrintf(&sSerStream, "%s", SPRINTF_pu8GetBuff());

```

